Rollback migration.
Connector will use old executable instead of new one.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/migration/rollback"{
"message": "successful operation",
"data": {
"name": "omdb",
"description": "clever description",
"readme": null,
"version": "1.0.0",
"logo": null,
"created-at": "2026-05-28T14:01:32+02:00",
"updated-at": "2026-05-28T14:01:32+02:00",
"deleted-at": null,
"state": "synchronized-to-dev",
"config": {
"update-progress": [],
"secret-registrations": [
{
"ini_header": "google-io::shopping",
"vault_secret": "google/io/shopping",
"fields": []
},
{
"ini_header": "amazon::seller",
"vault_secret": "amazon/seller",
"fields": []
}
],
"authentication-registrations": [
30
],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": {
"authorization": "basic",
"url": "https://github.com/productsupcom/sip-docker-php-test.git",
"branch": "main",
"username": "username",
"deploy-key-public": null,
"latest-commit": "2c73930dcb942c816b2b4bcfe673865d05a43b7c"
},
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [
{
"command-option": "authentication_store_id",
"field-type": "authentication_select",
"field-name": "Authentication selection",
"field-required": true,
"field-placeholder": "",
"field-description": "Select authentication provider",
"field-default-value": "",
"field-config": "",
"order": 1,
"created-at": "2026-05-28T14:01:32+02:00",
"updated-at": "2026-05-28T14:01:32+02:00"
}
],
"migration": {
"legacy-executable": 24
},
"execution": {
"execution-mode": "as-env-variables",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": null,
"container-api": {
"image": null,
"version-constraint": "^9.9.9"
}
},
"export": {
"channels": [
34
],
"channel-config": [],
"feedback-file-enabled": false,
"feedback-file-source-connection-column": null,
"feedback-file-target-connection-column": null,
"category-specific-attributes-enabled": false,
"allow-multiple": false,
"feedback-application-config": null
},
"data-service": null,
"datasource": null,
"buckets": [],
"feature-flags": [],
"container-api-config": null
},
"platform_dev_reference": {
"account": null,
"project": null,
"executable": null,
"platform-connector": null,
"site": null,
"site-processing-cluster": null,
"assigned-to-site": null,
"assigned-to-channel": null,
"assigned-to-channel-site": null,
"assigned-to-channel-site-destination": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "19.17.84"
}
},
"platform_prod_reference": {
"executable": 25,
"platform-connector": 5,
"target-accounts": [],
"target-projects": [],
"target-sites": [],
"enabled-for-accounts": [],
"enabled-for-projects": [],
"enabled-for-sites": [],
"assigned-to-sites": [],
"released": false,
"version": null,
"runtime": {
"environment": "bin-docker-wrapper",
"version": "19.17.84"
}
},
"prod_config": null,
"dev_config": {
"update-progress": [],
"secret-registrations": [
{
"ini_header": "google-io::shopping",
"vault_secret": "google/io/shopping",
"fields": []
},
{
"ini_header": "amazon::seller",
"vault_secret": "amazon/seller",
"fields": []
}
],
"authentication-registrations": [
30
],
"authentication-registrations-additional-fields": [],
"application": null,
"vcs": {
"authorization": "basic",
"url": "https://github.com/productsupcom/sip-docker-php-test.git",
"branch": "main",
"username": "username",
"deploy-key-public": null,
"latest-commit": "2c73930dcb942c816b2b4bcfe673865d05a43b7c"
},
"docker": {
"image-name": null,
"image-tag": null,
"registry-url": null
},
"individuals": [
{
"command-option": "authentication_store_id",
"field-type": "authentication_select",
"field-name": "Authentication selection",
"field-required": true,
"field-placeholder": "",
"field-description": "Select authentication provider",
"field-default-value": "",
"field-config": "",
"order": 1,
"created-at": "2026-05-28T14:01:32+02:00",
"updated-at": "2026-05-28T14:01:32+02:00"
}
],
"migration": null,
"execution": {
"execution-mode": "as-env-variables",
"container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
"docker-host": null,
"container-api": {
"image": null,
"version-constraint": "^9.9.9"
}
},
"export": {
"channels": [
34
],
"channel-config": [],
"feedback-file-enabled": false,
"feedback-file-source-connection-column": null,
"feedback-file-target-connection-column": null,
"category-specific-attributes-enabled": false,
"allow-multiple": false,
"feedback-application-config": null
},
"data-service": null,
"datasource": null,
"buckets": [],
"feature-flags": [],
"container-api-config": null
}
}
}{
"message": "Operation is only allowed for connectors that were previously synchronized to production",
"errors": []
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}{
"message": "Connector does not have specified version."
}How is this guide?